package com.zanxiang.game.back.serve.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.back.serve.pojo.dto.GameTencentMiniGameUserDTO;
import com.zanxiang.game.back.serve.pojo.entity.GameTencentMiniGameUser;
import com.zanxiang.game.back.serve.pojo.vo.GameTencentMiniGameUserVO;

import java.util.List;

public interface IGameTencentMiniGameUserService extends IService<GameTencentMiniGameUser> {

    boolean userBack(GameTencentMiniGameUser userLog);

    boolean callback(GameTencentMiniGameUser userLog);

    IPage<GameTencentMiniGameUserVO> listOfPage(GameTencentMiniGameUserDTO dto);

    boolean doReport(List<Long> userLogIds);
}
